Bug 7560 - "wbinfo -g" gives no output
"wbinfo -g" gives no output
Status: RESOLVED DUPLICATE of bug 7594
Product: Samba 3.5
Classification: Unclassified
Component: Winbind
3.5.4
x64 Linux
: P3 normal
: ---
Assigned To: Michael Adam
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 09:51 UTC by Alexander Muth
Modified: 2010-11-01 06:25 UTC (History)
1 user (show)

See Also:


Attachments
log.winbindd (24.63 KB, text/plain)
2010-07-07 09:52 UTC, Alexander Muth
no flags Details
log.winbindd-dc-connect (90.73 KB, text/plain)
2010-07-07 09:53 UTC, Alexander Muth
no flags Details
log.winbindd-idmap (20.29 KB, text/plain)
2010-07-07 09:53 UTC, Alexander Muth
no flags Details
log.wb-BUILTIN (6.07 KB, text/plain)
2010-07-07 09:56 UTC, Alexander Muth
no flags Details
log.wb-GLA-RLP (18.70 KB, text/plain)
2010-07-07 09:57 UTC, Alexander Muth
no flags Details
log.wbinfo (222 bytes, text/plain)
2010-07-07 09:57 UTC, Alexander Muth
no flags Details
log.wb-NTDATA (8.59 KB, text/plain)
2010-07-07 09:58 UTC, Alexander Muth
no flags Details
smb.conf (2.92 KB, text/plain)
2010-07-07 09:59 UTC, Alexander Muth
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Muth 2010-07-07 09:51:53 UTC
after upgrade Samba from 3.4.3 to 3.5.4 "wbinfo -g" gives no output.

Samba is compiled from source on SLES SP3

Log Entry:

[2010/07/06 14:48:49.086377,  3] winbindd/winbindd_list_groups.c:58(winbindd_list_groups_send)
  list_groups
[2010/07/06 14:48:49.086504,  1] ../librpc/ndr/ndr.c:395(ndr_pull_error)
  ndr_pull_error(1): String terminator not present or outside string boundaries

"wbinfo -u" is working as expected.

 # net ads testjoin
Join is OK

# wbinfo -t
checking the trust secret for domain GLA-RLP via RPC calls succeeded 


Now some Logfiles:


# log.winbindd
[2010/07/07 16:28:51.273241, 10] rpc_client/cli_pipe.c:1522(rpc_api_pipe_got_pdu)
  rpc_api_pipe: host bismit.gla-rlp.de returned 68 bytes.
[2010/07/07 16:28:51.273497,  5] rpc_parse/parse_prs.c:89(prs_debug)
  000000 smb_io_rpc_hdr hdr
      0000 major     : 05
      0001 minor     : 00
      0002 pkt_type  : 0c
      0003 flags     : 03
      0004 pack_type0: 10
      0005 pack_type1: 00
      0006 pack_type2: 00
      0007 pack_type3: 00
      0008 frag_len  : 0044
      000a auth_len  : 0000
      000c call_id   : 00000003
[2010/07/07 16:28:51.273581,  5] rpc_parse/parse_prs.c:89(prs_debug)
  000010 smb_io_rpc_hdr_ba
[2010/07/07 16:28:51.273599,  6] rpc_parse/parse_prs.c:89(prs_debug)
      000010 smb_io_rpc_hdr_bba
          0010 max_tsize: 10b8
          0012 max_rsize: 10b8
          0014 assoc_gid: 0000e4f1
[2010/07/07 16:28:51.273635,  6] rpc_parse/parse_prs.c:89(prs_debug)
      000018 smb_io_rpc_addr_str
          0018 len: 000c
          001a str: \PIPE\lsass.
[2010/07/07 16:28:51.273667,  6] rpc_parse/parse_prs.c:89(prs_debug)
      000026 smb_io_rpc_results
          0028 num_results: 01
          002c result     : 0000
          002e reason     : 0000
[2010/07/07 16:28:51.273703,  6] rpc_parse/parse_prs.c:89(prs_debug)
      000030 smb_io_rpc_iface
[2010/07/07 16:28:51.273721,  7] rpc_parse/parse_prs.c:89(prs_debug)
          000030 smb_io_uuid uuid
              0030 data   : 8a885d04
              0034 data   : 1ceb
              0036 data   : 11c9
              0038 data   : 9f e8
              003a data   : 08 00 2b 10 48 60
          0040 version: 00000002
[2010/07/07 16:28:51.273781,  5] rpc_client/cli_pipe.c:2484(check_bind_response)
  check_bind_response: accepted!
[2010/07/07 16:28:51.273801, 10] rpc_client/cli_pipe.c:3801(cli_rpc_pipe_open_noauth_transport)
  cli_rpc_pipe_open_noauth: opened pipe \lsarpc to machine bismit.gla-rlp.de and bound anonymously.
[2010/07/07 16:28:51.273826,  1] ../librpc/ndr/ndr.c:251(ndr_print_function_debug)
       lsa_OpenPolicy2: struct lsa_OpenPolicy2
          in: struct lsa_OpenPolicy2
              system_name              : *
                  system_name              : '\\BISMIT.GLA-RLP.DE'
              attr                     : *
                  attr: struct lsa_ObjectAttribute
                      len                      : 0x00000018 (24)
                      root_dir                 : NULL
                      object_name              : NULL
                      attributes               : 0x00000000 (0)
                      sec_desc                 : NULL
                      sec_qos                  : *
                          sec_qos: struct lsa_QosInfo
                              len                      : 0x0000000c (12)
                              impersonation_level      : 0x0002 (2)
                              context_mode             : 0x01 (1)
                              effective_only           : 0x00 (0)
              access_mask              : 0x02000000 (33554432)
                     0: LSA_POLICY_VIEW_LOCAL_INFORMATION
                     0: LSA_POLICY_VIEW_AUDIT_INFORMATION
                     0: LSA_POLICY_GET_PRIVATE_INFORMATION
                     0: LSA_POLICY_TRUST_ADMIN
                     0: LSA_POLICY_CREATE_ACCOUNT
                     0: LSA_POLICY_CREATE_SECRET
                     0: LSA_POLICY_CREATE_PRIVILEGE
                     0: LSA_POLICY_SET_DEFAULT_QUOTA_LIMITS
                     0: LSA_POLICY_SET_AUDIT_REQUIREMENTS
                     0: LSA_POLICY_AUDIT_LOG_ADMIN
                     0: LSA_POLICY_SERVER_ADMIN
                     0: LSA_POLICY_LOOKUP_NAMES
                     0: LSA_POLICY_NOTIFICATION
[2010/07/07 16:28:51.274080,  5] rpc_parse/parse_prs.c:89(prs_debug)
  000000 smb_io_rpc_hdr hdr
      0000 major     : 05
      0001 minor     : 00
      0002 pkt_type  : 00
      0003 flags     : 03
      0004 pack_type0: 10
      0005 pack_type1: 00
      0006 pack_type2: 00
      0007 pack_type3: 00
      0008 frag_len  : 0074
      000a auth_len  : 0000
      000c call_id   : 00000004
[2010/07/07 16:28:51.274181,  5] rpc_parse/parse_prs.c:89(prs_debug)
  000010 smb_io_rpc_hdr_req hdr_req
      0010 alloc_hint: 0000005c
      0014 context_id: 0000
      0016 opnum     : 002c
[2010/07/07 16:28:51.274219,  5] rpc_client/cli_pipe.c:1372(rpc_api_pipe_send)
  rpc_api_pipe: host bismit.gla-rlp.de
[2010/07/07 16:28:51.274240, 10] libsmb/clitrans.c:925(cli_trans_format)
  num_setup=2, max_setup=0, param_total=0, this_param=0, max_param=0, data_total=116, this_data=116, max_data=4280, param_offset=82, param_disp=0, data_disp=0
[2010/07/07 16:28:51.274264, 10] libsmb/smb_signing.c:115(smb_signing_md5)
  smb_signing_md5: sequence number 16
[2010/07/07 16:28:51.274283, 10] libsmb/smb_signing.c:209(smb_signing_sign_pdu)
  smb_signing_sign_pdu: sent SMB signature of
[2010/07/07 16:28:51.274300, 10] ../lib/util/util.c:278(_dump_data)
  [0000] BE 4A 4D 81 20 00 99 C6                            .JM. ...
[2010/07/07 16:28:51.274597, 10] libsmb/smb_signing.c:115(smb_signing_md5)
  smb_signing_md5: sequence number 17
[2010/07/07 16:28:51.275200, 10] libsmb/smb_signing.c:267(smb_signing_check_pdu)
  smb_signing_check_pdu: seq 17: got good SMB signature of
[2010/07/07 16:28:51.275218, 10] ../lib/util/util.c:278(_dump_data)
  [0000] 6A 38 43 52 3D 44 6C 37                            j8CR=Dl7
[2010/07/07 16:28:51.275249,  5] rpc_parse/parse_prs.c:89(prs_debug)
  000000 smb_io_rpc_hdr rpc_hdr
      0000 major     : 05
      0001 minor     : 00
      0002 pkt_type  : 02
      0003 flags     : 03
      0004 pack_type0: 10
      0005 pack_type1: 00
      0006 pack_type2: 00
      0007 pack_type3: 00
      0008 frag_len  : 0030
      000a auth_len  : 0000
      000c call_id   : 00000004
[2010/07/07 16:28:51.275335,  5] rpc_parse/parse_prs.c:89(prs_debug)
  000010 smb_io_rpc_hdr_resp rpc_hdr_resp
      0010 alloc_hint: 00000018
      0014 context_id: 0000
      0016 cancel_ct : 00
      0017 reserved  : 00
[2010/07/07 16:28:51.275378, 10] rpc_client/cli_pipe.c:1002(cli_pipe_validate_current_pdu)
  cli_pipe_validate_current_pdu: got pdu len 48, data_len 24, ss_len 0
[2010/07/07 16:28:51.275396, 10] rpc_client/cli_pipe.c:1471(rpc_api_pipe_got_pdu)
  rpc_api_pipe: got frag len of 48 at offset 0: NT_STATUS_OK
[2010/07/07 16:28:51.275414, 10] rpc_client/cli_pipe.c:1522(rpc_api_pipe_got_pdu)
  rpc_api_pipe: host bismit.gla-rlp.de returned 48 bytes.
[2010/07/07 16:28:51.275436,  1] ../librpc/ndr/ndr.c:251(ndr_print_function_debug)
       lsa_OpenPolicy2: struct lsa_OpenPolicy2
          out: struct lsa_OpenPolicy2
              handle                   : *
                  handle: struct policy_handle
                      handle_type              : 0x00000000 (0)
                      uuid                     : 6c50cd50-c731-4caf-9e6a-0ee2234b68d2
              result                   : NT_STATUS_OK
[2010/07/07 16:28:51.275507,  1] ../librpc/ndr/ndr.c:251(ndr_print_function_debug)
       lsa_QueryInfoPolicy2: struct lsa_QueryInfoPolicy2
          in: struct lsa_QueryInfoPolicy2
              handle                   : *
                  handle: struct policy_handle
                      handle_type              : 0x00000000 (0)
                      uuid                     : 6c50cd50-c731-4caf-9e6a-0ee2234b68d2
              level                    : LSA_POLICY_INFO_DNS (12)
[2010/07/07 16:28:51.275585,  5] rpc_parse/parse_prs.c:89(prs_debug)
  000000 smb_io_rpc_hdr hdr
      0000 major     : 05
      0001 minor     : 00
      0002 pkt_type  : 00
      0003 flags     : 03
      0004 pack_type0: 10
      0005 pack_type1: 00
      0006 pack_type2: 00
      0007 pack_type3: 00
      0008 frag_len  : 002e
      000a auth_len  : 0000
      000c call_id   : 00000005
[2010/07/07 16:28:51.275669,  5] rpc_parse/parse_prs.c:89(prs_debug)
  000010 smb_io_rpc_hdr_req hdr_req
      0010 alloc_hint: 00000016
      0014 context_id: 0000
      0016 opnum     : 002e
[2010/07/07 16:28:51.275706,  5] rpc_client/cli_pipe.c:1372(rpc_api_pipe_send)
  rpc_api_pipe: host bismit.gla-rlp.de
[2010/07/07 16:28:51.275728, 10] libsmb/clitrans.c:925(cli_trans_format)
  num_setup=2, max_setup=0, param_total=0, this_param=0, max_param=0, data_total=46, this_data=46, max_data=4280, param_offset=82, param_disp=0, data_disp=0
[2010/07/07 16:28:51.275769, 10] libsmb/smb_signing.c:115(smb_signing_md5)
  smb_signing_md5: sequence number 18
[2010/07/07 16:28:51.275787, 10] libsmb/smb_signing.c:209(smb_signing_sign_pdu)
  smb_signing_sign_pdu: sent SMB signature of
[2010/07/07 16:28:51.275804, 10] ../lib/util/util.c:278(_dump_data)
  [0000] 60 D3 AD E8 EB 5B 23 A5                            `....[#.
[2010/07/07 16:28:51.275996, 10] libsmb/smb_signing.c:115(smb_signing_md5)
  smb_signing_md5: sequence number 19
[2010/07/07 16:28:51.276160, 10] libsmb/smb_signing.c:267(smb_signing_check_pdu)
  smb_signing_check_pdu: seq 19: got good SMB signature of
[2010/07/07 16:28:51.276177, 10] ../lib/util/util.c:278(_dump_data)
  [0000] 14 80 61 DA 02 D2 16 2F                            ..a..../
[2010/07/07 16:28:51.276207,  5] rpc_parse/parse_prs.c:89(prs_debug)
  000000 smb_io_rpc_hdr rpc_hdr
      0000 major     : 05
      0001 minor     : 00
      0002 pkt_type  : 02
      0003 flags     : 03
      0004 pack_type0: 10
      0005 pack_type1: 00
      0006 pack_type2: 00
      0007 pack_type3: 00
      0008 frag_len  : 00c8
      000a auth_len  : 0000
      000c call_id   : 00000005
[2010/07/07 16:28:51.276293,  5] rpc_parse/parse_prs.c:89(prs_debug)
  000010 smb_io_rpc_hdr_resp rpc_hdr_resp
      0010 alloc_hint: 000000b0
      0014 context_id: 0000
      0016 cancel_ct : 00
      0017 reserved  : 00
[2010/07/07 16:28:51.276336, 10] rpc_client/cli_pipe.c:1002(cli_pipe_validate_current_pdu)
  cli_pipe_validate_current_pdu: got pdu len 200, data_len 176, ss_len 0
[2010/07/07 16:28:51.276354, 10] rpc_client/cli_pipe.c:1471(rpc_api_pipe_got_pdu)
  rpc_api_pipe: got frag len of 200 at offset 0: NT_STATUS_OK
[2010/07/07 16:28:51.276373, 10] rpc_client/cli_pipe.c:1522(rpc_api_pipe_got_pdu)
  rpc_api_pipe: host bismit.gla-rlp.de returned 352 bytes.
[2010/07/07 16:28:51.276409,  1] ../librpc/ndr/ndr.c:251(ndr_print_function_debug)
       lsa_QueryInfoPolicy2: struct lsa_QueryInfoPolicy2
          out: struct lsa_QueryInfoPolicy2
              info                     : *
                  info                     : *
                      info                     : union lsa_PolicyInformation(case 12)
                      dns: struct lsa_DnsDomainInfo
                          name: struct lsa_StringLarge
                              length                   : 0x000e (14)
                              size                     : 0x0010 (16)
                              string                   : *
                                  string                   : 'GLA-RLP'
                          dns_domain: struct lsa_StringLarge
                              length                   : 0x0014 (20)
                              size                     : 0x0016 (22)
                              string                   : *
                                  string                   : 'gla-rlp.de'
                          dns_forest: struct lsa_StringLarge
                              length                   : 0x0014 (20)
                              size                     : 0x0016 (22)
                              string                   : *
                                  string                   : 'gla-rlp.de'
                          domain_guid              : f0c023a0-e4cd-4aa1-823c-97535c4e9ae1
                          sid                      : *
                              sid                      : S-1-5-21-1960408961-1935655697-725345543
              result                   : NT_STATUS_OK
[2010/07/07 16:28:51.276630,  5] winbindd/winbindd_cm.c:1974(set_dc_type_and_flags_connect)
  set_dc_type_and_flags_connect: domain GLA-RLP is in native mode.
[2010/07/07 16:28:51.276649,  5] winbindd/winbindd_cm.c:1977(set_dc_type_and_flags_connect)
  set_dc_type_and_flags_connect: domain GLA-RLP is running active directory.
[2010/07/07 16:28:51.276673, 10] libsmb/smb_signing.c:115(smb_signing_md5)
  smb_signing_md5: sequence number 20
[2010/07/07 16:28:51.276709, 10] libsmb/smb_signing.c:209(smb_signing_sign_pdu)
  smb_signing_sign_pdu: sent SMB signature of
[2010/07/07 16:28:51.276726, 10] ../lib/util/util.c:278(_dump_data)
  [0000] 94 B1 EA 3A 55 6B 7B 35                            ...:Uk{5
[2010/07/07 16:28:51.276892, 10] libsmb/smb_signing.c:115(smb_signing_md5)
  smb_signing_md5: sequence number 21
[2010/07/07 16:28:51.276912, 10] libsmb/smb_signing.c:267(smb_signing_check_pdu)
  smb_signing_check_pdu: seq 21: got good SMB signature of
[2010/07/07 16:28:51.276929, 10] ../lib/util/util.c:278(_dump_data)
  [0000] D4 C0 58 6F 8A 98 8F 07                            ..Xo....
[2010/07/07 16:28:51.276956, 10] rpc_client/rpc_transport_np.c:81(rpc_transport_np_state_destructor)
  rpc_pipe_destructor: closed \lsarpc
[2010/07/07 16:28:51.276998,  5] winbindd/winbindd_dual.c:526(winbind_child_died)
  Already reaped child 18524 died
[2010/07/07 16:28:52.869185,  6] winbindd/winbindd.c:768(new_connection)
  accepted socket 22
[2010/07/07 16:28:52.869305, 10] winbindd/winbindd.c:620(process_request)
  process_request: request fn INTERFACE_VERSION
[2010/07/07 16:28:52.869325,  3] winbindd/winbindd_misc.c:352(winbindd_interface_version)
  [18526]: request interface version
[2010/07/07 16:28:52.869361, 10] winbindd/winbindd.c:716(winbind_client_response_written)
  winbind_client_response_written[18526:INTERFACE_VERSION]: deliverd response to client
[2010/07/07 16:28:52.869414, 10] winbindd/winbindd.c:620(process_request)
  process_request: request fn WINBINDD_PRIV_PIPE_DIR
[2010/07/07 16:28:52.869433,  3] winbindd/winbindd_misc.c:385(winbindd_priv_pipe_dir)
  [18526]: request location of privileged pipe
[2010/07/07 16:28:52.869476, 10] winbindd/winbindd.c:716(winbind_client_response_written)
  winbind_client_response_written[18526:WINBINDD_PRIV_PIPE_DIR]: deliverd response to client
[2010/07/07 16:28:52.869545,  6] winbindd/winbindd.c:768(new_connection)
  accepted socket 24
[2010/07/07 16:28:52.869583,  6] winbindd/winbindd.c:816(winbind_client_request_read)
  closing socket 22, client exited
[2010/07/07 16:28:52.869628, 10] winbindd/winbindd.c:593(process_request)
  process_request: Handling async request 18526:LIST_USERS
[2010/07/07 16:28:52.869651,  3] winbindd/winbindd_list_users.c:58(winbindd_list_users_send)
  list_users
[2010/07/07 16:28:52.869708, 10] winbindd/winbindd_dual.c:1307(fork_domain_child)
  fork_domain_child called for domain 'BUILTIN'
[2010/07/07 16:28:52.870009, 10] winbindd/winbindd_dual.c:1342(fork_domain_child)
  Child process 18527
[2010/07/07 16:28:52.870594, 10] winbindd/winbindd_dual.c:1307(fork_domain_child)
  fork_domain_child called for domain 'NTDATA'
[2010/07/07 16:28:52.870813, 10] winbindd/winbindd_dual.c:1342(fork_domain_child)
  Child process 18528
[2010/07/07 16:28:52.873700, 10] winbindd/winbindd_cache.c:418(wcache_fetch_seqnum)
  wcache_fetch_seqnum: BUILTIN not found
[2010/07/07 16:28:52.873730, 10] winbindd/winbindd_cache.c:4709(wcache_store_ndr)
  could not fetch seqnum for domain BUILTIN
[2010/07/07 16:28:52.873761, 10] winbindd/winbindd_list_users.c:128(winbindd_list_users_done)
  Domain BUILTIN returned 0 users
[2010/07/07 16:28:52.873813, 10] winbindd/winbindd_cache.c:418(wcache_fetch_seqnum)
  wcache_fetch_seqnum: NTDATA not found
[2010/07/07 16:28:52.873840, 10] winbindd/winbindd_cache.c:4709(wcache_store_ndr)
  could not fetch seqnum for domain NTDATA
[2010/07/07 16:28:52.873869, 10] winbindd/winbindd_list_users.c:128(winbindd_list_users_done)
  Domain NTDATA returned 0 users
[2010/07/07 16:28:53.155385, 10] winbindd/winbindd_list_users.c:128(winbindd_list_users_done)
  Domain GLA-RLP returned 365 users
[2010/07/07 16:28:53.155962, 10] winbindd/winbindd.c:655(wb_request_done)
  wb_request_done[18526:LIST_USERS]: NT_STATUS_OK
[2010/07/07 16:28:53.156027, 10] winbindd/winbindd.c:716(winbind_client_response_written)
  winbind_client_response_written[18526:LIST_USERS]: deliverd response to client
[2010/07/07 16:28:53.157112,  6] winbindd/winbindd.c:816(winbind_client_request_read)
  closing socket 24, client exited
[2010/07/07 16:28:55.133165,  6] winbindd/winbindd.c:768(new_connection)
  accepted socket 22
[2010/07/07 16:28:55.133262, 10] winbindd/winbindd.c:620(process_request)
  process_request: request fn INTERFACE_VERSION
[2010/07/07 16:28:55.133281,  3] winbindd/winbindd_misc.c:352(winbindd_interface_version)
  [18529]: request interface version
[2010/07/07 16:28:55.133315, 10] winbindd/winbindd.c:716(winbind_client_response_written)
  winbind_client_response_written[18529:INTERFACE_VERSION]: deliverd response to client
[2010/07/07 16:28:55.133365, 10] winbindd/winbindd.c:620(process_request)
  process_request: request fn WINBINDD_PRIV_PIPE_DIR
[2010/07/07 16:28:55.133382,  3] winbindd/winbindd_misc.c:385(winbindd_priv_pipe_dir)
  [18529]: request location of privileged pipe
[2010/07/07 16:28:55.133421, 10] winbindd/winbindd.c:716(winbind_client_response_written)
  winbind_client_response_written[18529:WINBINDD_PRIV_PIPE_DIR]: deliverd response to client
[2010/07/07 16:28:55.133488,  6] winbindd/winbindd.c:768(new_connection)
  accepted socket 24
[2010/07/07 16:28:55.133523,  6] winbindd/winbindd.c:816(winbind_client_request_read)
  closing socket 22, client exited
[2010/07/07 16:28:55.133565, 10] winbindd/winbindd.c:593(process_request)
  process_request: Handling async request 18529:LIST_GROUPS
[2010/07/07 16:28:55.133583,  3] winbindd/winbindd_list_groups.c:58(winbindd_list_groups_send)
  list_groups
[2010/07/07 16:28:55.134620, 10] winbindd/winbindd_cache.c:418(wcache_fetch_seqnum)
  wcache_fetch_seqnum: BUILTIN not found
[2010/07/07 16:28:55.134638, 10] winbindd/winbindd_cache.c:4709(wcache_store_ndr)
  could not fetch seqnum for domain BUILTIN
[2010/07/07 16:28:55.134661, 10] winbindd/winbindd_list_groups.c:128(winbindd_list_groups_done)
  Domain BUILTIN returned 0 users
[2010/07/07 16:28:55.134699, 10] winbindd/winbindd_cache.c:418(wcache_fetch_seqnum)
  wcache_fetch_seqnum: NTDATA not found
[2010/07/07 16:28:55.134715, 10] winbindd/winbindd_cache.c:4709(wcache_store_ndr)
  could not fetch seqnum for domain NTDATA
[2010/07/07 16:28:55.134732, 10] winbindd/winbindd_list_groups.c:128(winbindd_list_groups_done)
  Domain NTDATA returned 0 users
[2010/07/07 16:28:55.147908,  1] ../librpc/ndr/ndr.c:395(ndr_pull_error)
  ndr_pull_error(1): String terminator not present or outside string boundaries
[2010/07/07 16:28:55.147935, 10] winbindd/winbindd_list_groups.c:128(winbindd_list_groups_done)
  Domain GLA-RLP returned 0 users
[2010/07/07 16:28:55.147951, 10] winbindd/winbindd_list_groups.c:134(winbindd_list_groups_done)
  list_groups for domain GLA-RLP failed
[2010/07/07 16:28:55.147968, 10] winbindd/winbindd.c:655(wb_request_done)
  wb_request_done[18529:LIST_GROUPS]: NT_STATUS_OK
[2010/07/07 16:28:55.147998, 10] winbindd/winbindd.c:716(winbind_client_response_written)
  winbind_client_response_written[18529:LIST_GROUPS]: deliverd response to client
[2010/07/07 16:28:55.148471,  6] winbindd/winbindd.c:816(winbind_client_request_read)
  closing socket 24, client exited
[2010/07/07 16:28:56.885093,  6] winbindd/winbindd.c:768(new_connection)
  accepted socket 22
[2010/07/07 16:28:56.885187, 10] winbindd/winbindd.c:620(process_request)
  process_request: request fn INTERFACE_VERSION
[2010/07/07 16:28:56.885206,  3] winbindd/winbindd_misc.c:352(winbindd_interface_version)
  [18530]: request interface version
[2010/07/07 16:28:56.885243, 10] winbindd/winbindd.c:716(winbind_client_response_written)
  winbind_client_response_written[18530:INTERFACE_VERSION]: deliverd response to client
[2010/07/07 16:28:56.885278, 10] winbindd/winbindd.c:620(process_request)
  process_request: request fn WINBINDD_PRIV_PIPE_DIR
[2010/07/07 16:28:56.885294,  3] winbindd/winbindd_misc.c:385(winbindd_priv_pipe_dir)
  [18530]: request location of privileged pipe
[2010/07/07 16:28:56.885335, 10] winbindd/winbindd.c:716(winbind_client_response_written)
  winbind_client_response_written[18530:WINBINDD_PRIV_PIPE_DIR]: deliverd response to client
[2010/07/07 16:28:56.885376,  6] winbindd/winbindd.c:768(new_connection)
  accepted socket 24
[2010/07/07 16:28:56.885448, 10] winbindd/winbindd.c:593(process_request)
  process_request: Handling async request 18530:LIST_GROUPS
[2010/07/07 16:28:56.885466,  3] winbindd/winbindd_list_groups.c:58(winbindd_list_groups_send)
  list_groups
[2010/07/07 16:28:56.885585,  1] ../librpc/ndr/ndr.c:395(ndr_pull_error)
  ndr_pull_error(1): String terminator not present or outside string boundaries
[2010/07/07 16:28:56.885612, 10] winbindd/winbindd_list_groups.c:128(winbindd_list_groups_done)
  Domain GLA-RLP returned -401273741 users
[2010/07/07 16:28:56.885628, 10] winbindd/winbindd_list_groups.c:134(winbindd_list_groups_done)
  list_groups for domain GLA-RLP failed
[2010/07/07 16:28:56.885670,  6] winbindd/winbindd.c:816(winbind_client_request_read)
  closing socket 22, client exited
[2010/07/07 16:28:56.886289, 10] winbindd/winbindd_cache.c:418(wcache_fetch_seqnum)
  wcache_fetch_seqnum: BUILTIN not found
[2010/07/07 16:28:56.886306, 10] winbindd/winbindd_cache.c:4709(wcache_store_ndr)
  could not fetch seqnum for domain BUILTIN
[2010/07/07 16:28:56.886328, 10] winbindd/winbindd_list_groups.c:128(winbindd_list_groups_done)
  Domain BUILTIN returned 0 users
[2010/07/07 16:28:56.886362, 10] winbindd/winbindd_cache.c:418(wcache_fetch_seqnum)
  wcache_fetch_seqnum: NTDATA not found
[2010/07/07 16:28:56.886378, 10] winbindd/winbindd_cache.c:4709(wcache_store_ndr)
  could not fetch seqnum for domain NTDATA
[2010/07/07 16:28:56.886395, 10] winbindd/winbindd_list_groups.c:128(winbindd_list_groups_done)
  Domain NTDATA returned 0 users
[2010/07/07 16:28:56.886413, 10] winbindd/winbindd.c:655(wb_request_done)
  wb_request_done[18530:LIST_GROUPS]: NT_STATUS_OK
[2010/07/07 16:28:56.886442, 10] winbindd/winbindd.c:716(winbind_client_response_written)
  winbind_client_response_written[18530:LIST_GROUPS]: deliverd response to client
[2010/07/07 16:28:56.886599,  6] winbindd/winbindd.c:816(winbind_client_request_read)
  closing socket 24, client exited
[2010/07/07 16:28:58.220690,  6] winbindd/winbindd.c:768(new_connection)
  accepted socket 22
[2010/07/07 16:28:58.220777, 10] winbindd/winbindd.c:620(process_request)
  process_request: request fn INTERFACE_VERSION
[2010/07/07 16:28:58.220795,  3] winbindd/winbindd_misc.c:352(winbindd_interface_version)
  [18531]: request interface version
[2010/07/07 16:28:58.220829, 10] winbindd/winbindd.c:716(winbind_client_response_written)
  winbind_client_response_written[18531:INTERFACE_VERSION]: deliverd response to client
[2010/07/07 16:28:58.220877, 10] winbindd/winbindd.c:620(process_request)
  process_request: request fn WINBINDD_PRIV_PIPE_DIR
[2010/07/07 16:28:58.220894,  3] winbindd/winbindd_misc.c:385(winbindd_priv_pipe_dir)
  [18531]: request location of privileged pipe
[2010/07/07 16:28:58.220931, 10] winbindd/winbindd.c:716(winbind_client_response_written)
  winbind_client_response_written[18531:WINBINDD_PRIV_PIPE_DIR]: deliverd response to client
[2010/07/07 16:28:58.220994,  6] winbindd/winbindd.c:768(new_connection)
  accepted socket 24
[2010/07/07 16:28:58.221028,  6] winbindd/winbindd.c:816(winbind_client_request_read)
  closing socket 22, client exited
[2010/07/07 16:28:58.221069, 10] winbindd/winbindd.c:593(process_request)
  process_request: Handling async request 18531:LIST_USERS
[2010/07/07 16:28:58.221087,  3] winbindd/winbindd_list_users.c:58(winbindd_list_users_send)
  list_users
[2010/07/07 16:28:58.222684, 10] winbindd/winbindd_list_users.c:128(winbindd_list_users_done)
  Domain GLA-RLP returned 365 users
[2010/07/07 16:28:58.223236, 10] winbindd/winbindd_cache.c:418(wcache_fetch_seqnum)
  wcache_fetch_seqnum: BUILTIN not found
[2010/07/07 16:28:58.223253, 10] winbindd/winbindd_cache.c:4709(wcache_store_ndr)
  could not fetch seqnum for domain BUILTIN
[2010/07/07 16:28:58.223271, 10] winbindd/winbindd_list_users.c:128(winbindd_list_users_done)
  Domain BUILTIN returned 0 users
[2010/07/07 16:28:58.223306, 10] winbindd/winbindd_cache.c:418(wcache_fetch_seqnum)
  wcache_fetch_seqnum: NTDATA not found
[2010/07/07 16:28:58.223321, 10] winbindd/winbindd_cache.c:4709(wcache_store_ndr)
  could not fetch seqnum for domain NTDATA
[2010/07/07 16:28:58.223371, 10] winbindd/winbindd_list_users.c:128(winbindd_list_users_done)
  Domain NTDATA returned 0 users
[2010/07/07 16:28:58.223889, 10] winbindd/winbindd.c:655(wb_request_done)
  wb_request_done[18531:LIST_USERS]: NT_STATUS_OK
[2010/07/07 16:28:58.223923, 10] winbindd/winbindd.c:716(winbind_client_response_written)
  winbind_client_response_written[18531:LIST_USERS]: deliverd response to client
[2010/07/07 16:28:58.224867,  6] winbindd/winbindd.c:816(winbind_client_request_read)
  closing socket 24, client exited
Comment 1 Alexander Muth 2010-07-07 09:52:59 UTC
Created attachment 5832 [details]
log.winbindd
Comment 2 Alexander Muth 2010-07-07 09:53:23 UTC
Created attachment 5833 [details]
log.winbindd-dc-connect
Comment 3 Alexander Muth 2010-07-07 09:53:44 UTC
Created attachment 5834 [details]
log.winbindd-idmap
Comment 4 Alexander Muth 2010-07-07 09:56:51 UTC
Created attachment 5835 [details]
log.wb-BUILTIN
Comment 5 Alexander Muth 2010-07-07 09:57:18 UTC
Created attachment 5836 [details]
log.wb-GLA-RLP
Comment 6 Alexander Muth 2010-07-07 09:57:40 UTC
Created attachment 5837 [details]
log.wbinfo
Comment 7 Alexander Muth 2010-07-07 09:58:06 UTC
Created attachment 5838 [details]
log.wb-NTDATA
Comment 8 Alexander Muth 2010-07-07 09:59:41 UTC
Created attachment 5839 [details]
smb.conf
Comment 9 Michael Adam 2010-11-01 06:25:18 UTC
Hi,

thanks for the bug report and sorry for the late reply...

Looking at the logs, it seems that this is a duplicate of bug #7594,
since you also have the following in the logs:

[2010/07/07 16:28:55.147908,  1] ../librpc/ndr/ndr.c:395(ndr_pull_error)
  ndr_pull_error(1): String terminator not present or outside string boundaries

And you have "unix charset = 850" in your smb.conf.

There is a bug in the ndr code that prevents winbindd parent-child
communication work correctly when the unix charset is set to something other than "UTF-8" and names containing special characters are to be transferred,
like "domänen-admins" or "domänen-benutzer" in a german domain.

I have a fix for this (against master) which needs some testing (not to break parts of samba4) and needs backporting to 3.5.

I am marking this as duplicate of #7594. Follow that bug for updates
or reopen this one if you don't agree with the duplicate classification.

Cheers - Michael

*** This bug has been marked as a duplicate of bug 7594 ***